db4o |

# Configuration.Password Method

protects the database file with a password.

void Password(
string pass
);

#### Parameters

pass
  the password to be used.

#### Remarks

protects the database file with a password.
To set a password for a database file, this method needs to be called before a database file is created with the first Db4o.openFile() .
All further attempts to open the file, are required to set the same password.
The password is used to seed the encryption mechanism, which makes it impossible to read the database file without knowing the password.

#### See Also

Configuration Interface | com.db4o.config Namespace